unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, ExtCtrls, TeeProcs, TeEngine, Chart, StdCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    RadioGroup1: TRadioGroup;
    RadioGroup2: TRadioGroup;
    procedure FormCreate(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
    procedure RadioGroup2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Series;

var Chart1: TChart;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Chart1:=TChart.Create(Self);
  Chart1.Parent:=Self;
  Chart1.Align:=alClient;
  Chart1.View3D:=false;
  Chart1.Legend.Visible:=false;

  Chart1.AddSeries(TFastLineSeries);

  RadioGroup1.ItemIndex:=0;
  RadioGroup2.ItemIndex:=0;
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
var i: Integer;
begin
  with Chart1[0] do
  begin
    Clear;

    case RadioGroup1.ItemIndex of
      0: for i:=0 to 9 do
           AddXY(i, i);
      1: for i:=0 to 9 do
           AddXY(i*0.01, i);
    end;
  end;
end;

procedure TForm1.RadioGroup2Click(Sender: TObject);
begin
  with RadioGroup2 do
    Chart1.Axes.Bottom.Increment:=StrToFloat(Items[ItemIndex]);
end;

end.
